import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Rinoj-Gautam/f589ebf5c8f51eedcfc85d380d78cd89/raw/cef21fec92cc11c71e764cc1b5987c6f09436910/diabetes.csv';

export const useData = () => {
  // The data has not been loaded yet
  const [data, setData] = useState(null);

  // reduce the number of fetching data
  useEffect(() => {
    // simple way
    const row = (d) => {
      d.Glucose = +d.Glucose;
      d.BloodPressure = +d.BloodPressure;
      d.Insulin = +d.Insulin;
      d.Age = +d.Age;
      d.DiabetesPedigreeFunction=+d.DiabetesPedigreeFunction;
      d.Outcome= +d.Outcome
      return d;
    };
    csv(csvUrl, row).then(setData); // get only top 10
  }, []);
  return data;
};
